From d2b9896e3d5e6f9370915019be107f6275f20c4f Mon Sep 17 00:00:00 2001
From: Tushar Gohad <tgohad@mvista.com>
Date: Mon, 5 Jul 2010 13:44:32 -0700
Subject: [PATCH] Minor resource name array fix in src/lxc/namespace.c

Signed-off-by: Tushar Gohad <tgohad@mvista.com>
---
 src/lxc/namespace.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/lxc/namespace.c b/src/lxc/namespace.c
index a68e15e..3905a03 100644
--- a/src/lxc/namespace.c
+++ b/src/lxc/namespace.c
@@ -97,7 +97,7 @@ pid_t lxc_clone(int (*fn)(void *), void *arg, int flags)
 int lxc_attach(pid_t pid)
 {
 	char path[MAXPATHLEN];
-	char *ns[] = { "pid", "mnt", "net", "pid", "uts" };
+	char *ns[] = { "pid", "mnt", "net", "ipc", "uts" };
 	const int size = sizeof(ns) / sizeof(char *);
 	int fd[size];
 	int i;
-- 
1.7.0.1

